be.ehealth.businessconnector.ehbox.v3.session

## Class ServiceFactory

- java.lang.Object
- - be.ehealth.technicalconnector.session.AbstractSessionServiceFactory
  - - be.ehealth.businessconnector.ehbox.v3.session.ServiceFactory

-     public final class ServiceFactory
      extends AbstractSessionServiceFactory

  A factory for creating `EhealthBoxServiceV3`. easiest way to use ehealthBox. it provide a service initializing the session with default params and url. you must have a properties file called be.ehealth.technicalconnector.properties that contains following keys validation.incoming.ehbox.v3.message=true endpoint.ehbox.consultation.v3=https://services-acpt.ehealth.fgov.be/ehBoxConsultation/v3 endpoint.ehbox.publication.v3=https://services-acpt.ehealth.fgov.be/ehBoxPublication/v3 KEYSTORE_DIR= test.session.user= test.session.firstname= test.session.lastname= test.session.password= next, you just have to call like this exemple EhealthBoxServiceV3 service = ServiceFactory.getEhealthBoxServiceV3(); use `BuilderFactory` to build request Object to correct format.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Eh2eBoxServiceV3` | `getEhealthBox2eBoxServiceV3()` Gets the eHealth Box service V3.
    `static EhealthBoxServiceV3` | `getEhealthBoxServiceV3()` Gets the eHealth Box service V3.

    - ### Methods inherited from class be.ehealth.technicalconnector.session.AbstractSessionServiceFactory

      `flushCache`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getEhealthBoxServiceV3

          public static EhealthBoxServiceV3 getEhealthBoxServiceV3()
                                                            throws ConnectorException

      Gets the eHealth Box service V3.
      Throws:
        `ConnectorException`

    - #### getEhealthBox2eBoxServiceV3

          public static Eh2eBoxServiceV3 getEhealthBox2eBoxServiceV3()
                                                              throws ConnectorException

      Gets the eHealth Box service V3.
      Throws:
        `ConnectorException`

Connector Packaging PERSAUDIOLOGIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.